Page MenuHomePhabricator

wiki.musicbrainz.org has started reporting multiple languages
Open, LowPublic

Description

Travis builds are halting due to an unexpected question from generate_family_file.py

$ python pwb.py generate_family_file 'https://wiki.musicbrainz.org/' musicbrainz2
Generating family file from https://wiki.musicbrainz.org/

==================================
api url: https://wiki.musicbrainz.org/api.php
MediaWiki version: 1.23.13
==================================

Determining other languages...ab lb

There are 3 languages available.
Do you want to generate interwiki links?This might take a long time. ([y]es/[N]o/[e]dit)

No output has been received in the last 10 minutes, this potentially indicates a stalled build or something wrong with the build itself.

The build has been terminated

https://wiki.musicbrainz.org/api.php?action=query&meta=siteinfo&siprop=interwikimap&sifilteriw=local&format=jsonfm
includes

{
    "query": {
        "interwikimap": [
            {
                "prefix": "ab",
                "local": "",
                "language": "\u0410\u04a7\u0441\u0448\u04d9\u0430",
                "url": "http://acousticbrainz.org/$1",
                "wikiid": "",
                "api": ""
            },
...
            {
                "prefix": "lb",
                "local": "",
                "language": "L\u00ebtzebuergesch",
                "url": "https://listenbrainz.org/$1",
                "wikiid": "",
                "api": ""
            },
...

Comunicated with MusicBrainz: https://tickets.metabrainz.org/browse/OTHER-353

Event Timeline

jayvdb created this task.Mar 18 2016, 4:59 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptMar 18 2016, 4:59 PM
jayvdb triaged this task as Unbreak Now! priority.Mar 18 2016, 4:59 PM

Change 278309 had a related patch set uploaded (by John Vandenberg):
Disable other languages for musicbrainz wiki

https://gerrit.wikimedia.org/r/278309

Change 278309 merged by jenkins-bot:
Disable other languages for musicbrainz wiki

https://gerrit.wikimedia.org/r/278309

jayvdb lowered the priority of this task from Unbreak Now! to High.Mar 18 2016, 5:38 PM
jayvdb removed a project: Patch-For-Review.
jayvdb added a project: Upstream.

We should notify musicbrainz about this, as their config is wrong.

Asked in the MusicBrainz bug tracker, but I feel like this isn't their fault. Is this even configurable in MediaWiki, that ab is not Abkhazian MusicBrainz wiki, but AcousticBrainz website?

Dvorapa added a project: MediaWiki-API.EditedFeb 22 2020, 10:02 PM

It seems action=query&prop=siteinfo&siprop=interwikimap automatically considers ab interwiki as Abkhazian language interwiki for acousticbrainz.org/$1 and lb as Luxembourgish for listenbrainz.org/$1. I tried to create an ab interwiki on a freshly established testing wiki and it is automatically considered as an interlanguage Abkhazian

Restricted Application added a project: Platform Engineering. · View Herald TranscriptFeb 22 2020, 10:02 PM
Dvorapa added a comment.EditedFeb 22 2020, 10:16 PM

$wgInterwikiMagic=false seems to be ignored by API, ab is still listed in API response as Abkhazian

Change 574201 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] [api] InterwikiMap shouldn't report any interwikis as language ones when InterwikiMagic=false

https://gerrit.wikimedia.org/r/574201

I've uploaded a patch that should make InterwikiMap to not add language parameter when wgInterwikiMagic=false.

This problem is PWB-specific, untagging MediaWiki from this. The MW side of the problem moved to T245931.

Dvorapa renamed this task from generate_family_file for wiki.musicbrainz.org has started reporting that multiple languages to wiki.musicbrainz.org has started reporting multiple languages.Feb 22 2020, 10:39 PM

Change 574201 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] [api] InterwikiMap shouldn't report any interwikis as language ones when InterwikiMagic=false

https://gerrit.wikimedia.org/r/574201

Change 582027 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [tests] Skip some failing tests due to upstream issues

https://gerrit.wikimedia.org/r/582027

Change 582027 merged by jenkins-bot:
[pywikibot/core@master] [tests] Skip some failing tests due to upstream issues

https://gerrit.wikimedia.org/r/582027

Dvorapa lowered the priority of this task from High to Low.Mar 20 2020, 3:44 PM
Dvorapa updated the task description. (Show Details)

MW part of the issue fixed, now it's MusicBrainz turn!

Dvorapa moved this task from Patch proposed upstream to Reported Upstream on the Upstream board.
Dvorapa moved this task from Backlog to Upstream issues on the Pywikibot board.

Change 574201 merged by jenkins-bot:
[mediawiki/core@master] api: InterwikiMap shouldn't report any interwikis as language ones when InterwikiMagic=false

https://gerrit.wikimedia.org/r/574201